import { ChatStreamer } from './ChatStreamer.js';
import { CommandRegistry } from './CommandRegistry.js';
import { MenuHandler } from './MenuHandler.js';
import { FileUploader } from './FileUploader.js';
import { Page } from 'puppeteer';
import { ConfigGrok } from '../state/ConfigGrok.js';
import { GrokTool } from '../tools/GrokTool.js';
export declare class ChatController {
    private page;
    private commandRegistry;
    private menuHandler;
    private configDir;
    private chatActive;
    private cwd;
    private fileIds;
    private conversationId;
    private enabledTool;
    private chatStreamer;
    private grokConfig;
    private initialParentResponseId;
    private fileUploader;
    private conversationManager;
    constructor(page: Page, commandRegistry: CommandRegistry, menuHandler: MenuHandler, initialConversationId: string, configDir: string);
    run(flags: {
        visible: boolean;
        files?: string;
        new?: boolean;
        conversation?: string;
    }): Promise<void>;
    private initializeConversation;
    private setupChatPage;
    private chatLoop;
    private uploadFiles;
    private updateConversationId;
    private formatCwd;
    getCwd(): string;
    setCwd(cwd: string): void;
    getEnabledTool(): GrokTool | null;
    setEnabledTool(tool: GrokTool | null): void;
    getFileUploader(): FileUploader;
    getChatStreamer(): ChatStreamer;
    getGrokConfig(): ConfigGrok;
}
