import chalk from 'chalk';
// Handles loading and managing conversation history
export class ConversationManager {
    page;
    constructor(page) {
        this.page = page;
    }
    // Loads the history of a conversation to maintain context
    async loadConversationHistory(conversationId) {
        const historyResponse = await this.page.evaluate(async (url) => {
            const response = await fetch(url, {
                method: 'GET',
                headers: {
                    'Accept': '*/*',
                    'Origin': 'https://grok.com',
                    'Referer': 'https://grok.com/'
                }
            });
            return await response.json();
        }, `https://grok.com/rest/app-chat/conversations/${conversationId}/response-node`);
        if (historyResponse.responseNodes && historyResponse.responseNodes.length > 0) {
            const assistantResponses = historyResponse.responseNodes
                .filter((node) => node.sender === 'ASSISTANT');
            if (assistantResponses.length > 0) {
                const lastAssistantResponse = assistantResponses[assistantResponses.length - 1];
                const parentResponseId = lastAssistantResponse.responseId;
                console.log(chalk.gray(`Loaded conversation context with parentResponseId: ${parentResponseId}`));
                return parentResponseId;
            }
        }
        return undefined;
    }
}
