import { createStateManager } from './IStateManager.js';
const CONFIG_KEY = 'grok-config';
export class ConfigGrok {
    grokCookie;
    activeConversationId;
    savedPoints = {};
}
export async function loadGrokConfig(dataDir) {
    const stateManager = createStateManager(dataDir);
    if (await stateManager.containsState(CONFIG_KEY)) {
        const loadedConfig = await stateManager.load(CONFIG_KEY);
        // Merge loaded config with defaults to ensure savedPoints exists
        return { ...new ConfigGrok(), ...loadedConfig };
    }
    else {
        return new ConfigGrok();
    }
}
export async function saveGrokConfig(dataDir, config) {
    const stateManager = createStateManager(dataDir);
    await stateManager.save(CONFIG_KEY, config);
}
