import { createStateManager } from './IStateManager.js';
const CONFIG_KEY = 'config';
export class GptConfig {
    openAIKey;
    defaultAssistantId;
}
export async function loadGptConfig(dataDir) {
    const stateManager = createStateManager(dataDir);
    if (await stateManager.containsState(CONFIG_KEY)) {
        return await stateManager.load(CONFIG_KEY);
    }
    else {
        return new GptConfig();
    }
}
export async function saveGptConfig(dataDir, config) {
    const stateManager = createStateManager(dataDir);
    await stateManager.save(CONFIG_KEY, config);
}
