export interface IStateManager {
    /**
     * Checks if the state manager contains a state for the given key
     * @param key the key to check for
     */
    containsState(key: string): Promise<boolean>;
    /**
     * Saves the given state to the state manager
     * @param key the key to save the state under
     * @param state the state to save
     */
    save<T>(key: string, state: T): Promise<void>;
    /**
     * Loads the state for the given key
     * @param key the key to load the state for
     */
    load<T>(key: string): Promise<T>;
}
export declare function createStateManager(dataDir: string): IStateManager;
